Home » PLAYER'S HQ 1.13 » JA2 Complete Mods & Sequels » JA2 Wildfire » install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327202] Sat, 26 October 2013 20:54 Go to previous messageGo to next message
Moa

 
Messages:58
Registered:September 2013
It works? Because an item shows up in game does not mean it works.
Empty indexes are bad. There are several loops which have an early break if an item index is empty. There is nothing wrong whith an early break.
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327203] Sat, 26 October 2013 21:00 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Then those functions (which ones anyway?) make an assumption that is never clearly communicated to the modders.

Edit: An assumption which is in fact not even kept by stock 1.13.

[Updated on: Sat, 26 October 2013 21:05] by Moderator



Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327204] Sat, 26 October 2013 21:12 Go to previous messageGo to next message
JMich

 
Messages:575
Registered:January 2011
Location: Greece
Moa
It works? Because an item shows up in game does not mean it works.
Empty indexes are bad. There are several loops which have an early break if an item index is empty. There is nothing wrong whith an early break.

There shouldn't be an empty item index. The XML Editor fills any gaps with Auto-Generated Nothing items, so the uiIndex is continuous, even if there are items missing.
If a modder removes items by hand, and doesn't use the XML Editor to refill them, then yes, weird things may happen. That is why the AGNI exist.
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327205] Sat, 26 October 2013 21:27 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Wait, are we talking about 'no gaps in index' or 'no nadas in between other stuff' here?


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327206] Sat, 26 October 2013 22:19 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
Non-continuous index should never happen in any XML that uses an index. I assume that every modder knows that.

Indexes with only default data (like auto-generated Nothing items that JMich mentioned) shouldn't be a problem. They only lead to useless junk on maps that were not designed for an item mod. They may cause strange behaviour of NPCs if they have been assigned such items. It's ugly but it shouldn't break anything except for a quest if it was a quest item.

If there are indeed functions that don't allow minimal item data maybe these should be fixed? Moa, can you give an example?

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327207] Sat, 26 October 2013 22:25 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Exactly, tons of nadas should not be an issue if they are consistent within the mod.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327209] Sat, 26 October 2013 23:26 Go to previous messageGo to next message
Moa

 
Messages:58
Registered:September 2013
There are no functions I am aware of which have problems with nada items but alot of functions that wont work if there is an empty index inbetween (that is Item[i].usItemClass == 0 or Item[i].uiIndex == 0). JMich dispelled the doubts allready.
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327367] Thu, 31 October 2013 11:04 Go to previous messageGo to next message
Smigoz

 
Messages:19
Registered:March 2012
So if i'm running SCI_Unstable_Revision_6515_on_GameDir_1835 with Arulco Folding Stock the Wildfire maps will be too buggy to play with? Has anyone reached a solution?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327370] Thu, 31 October 2013 11:50 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
There is no solution for NADA items except adding them to Items.xml. Consider it "increased difficulty" because you won't find so much free stuff. Wink
You can always pickup NADA items and put them in the trash bin if you don't like the blinking dots on your minimap.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327429] Fri, 01 November 2013 04:59 Go to previous messageGo to next message
Smigoz

 
Messages:19
Registered:March 2012
Oh, so it's playable, it's just that map loot items are configured in a different way than in AFS, which means that what used to be a medikit is now NADA because the items don't match in XML or whatever?

Seems like someone could just go look at the items that spawn in WF maps and change them to AFS compatible ones. Is it possible to do this? I think i can personally do this if i knew how to see where both item directories are stored.

Am i talking anything sensible?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327445] Fri, 01 November 2013 14:09 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
I would say that the standard items will show up in any item mod. Something like a medkit always existed and I don't think that AFS or any other mod changed those. Items that have been added to stock 1.13 after the creation of the item mod will probably differ or not exist in the item mod. These are the ones causing NADA items to appear.

Of course it is possible to replace them but I'm not going to do it. I did a cleanup of the WF maps once and it took me several days because I had to check every single item stack on every map. I don't have that time at the moment.

If you want to do it go ahead. Grap the map editor and replace the NADAs with something useful from AFS.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327447] Fri, 01 November 2013 14:26 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Or better yet, replace them with appropriate random items, making this the first map supporting cross compatibility.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327459] Fri, 01 November 2013 19:47 Go to previous messageGo to next message
Flugente

 
Messages:3334
Registered:April 2009
Location: Germany
silversurfer
I would say that the standard items will show up in any item mod. Something like a medkit always existed and I don't think that AFS or any other mod changed those. Items that have been added to stock 1.13 after the creation of the item mod will probably differ or not exist in the item mod.
Even those need random items. Every item on a map needs to be a random item. We have to think of the future here. Who knows, perhaps one day someone adds multiple medikit items with different properties or whatever. Relying on 'nobody would ever change this item' is just begging for exactly that to happen.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327460] Fri, 01 November 2013 19:52 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Matter of fact, there's at least one mod whose at this place unnamed ocd-author removed the venerable medkit from it's customary place ... so yeah. Random items. All of them.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327828] Sun, 10 November 2013 00:19 Go to previous messageGo to next message
Kriplo

 
Messages:261
Registered:February 2008
Location: Zagreb - Croatia
Always was thinking that v1.13 would be flagship for modding with all bunch of tilesets and items... AIMNAS had so many items, never figure out why they are not imported into v1.13 (they will have different id of course).

If someone put all missing items into v1.13 game trunk (like those from AIMNAS) then I could create conversion function from old map items to official under map editor.

By the way, what those random items are? Is that mean one time will be bubblegum and next if you lucky machine gun Smile
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327836] Sun, 10 November 2013 08:22 Go to previous messageGo to next message
pheloncab

 
Messages:275
Registered:August 2004
Location: So. Cal. or texas
According to the editor, Randoms are usually by type.. so it would be random 9mm pistol.
or random 9mm smg
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327842] Sun, 10 November 2013 10:23 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
There's already a not insignificant group that finds the basic 1.13 item set overwhelming, so I don't think adding the really heavy calibers like AIM and/or AFS would make the mod easier to get into. Besides, the way it has always been communicated to the rest of us was for 1.13 to be the basis for content mods, not the black hole that gobbles up every new item ever created.

As to the random items, the idea behind them is indeed to use them as relatively narrow categories for map compatibility. So if smeagol places a 'Rifle, Silenced, High End' in his maps, someone playing with the AIMNAS items would get a Whisper Kitty or a Honey Badger while someone on the basic item set still at least gets an HK SL9 instead of a NADA.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327845] Sun, 10 November 2013 11:56 Go to previous messageGo to next message
Gambigobilla

 
Messages:717
Registered:July 2008
While i won't vote for or against it, for the folks who does not like so many items they can select reduced option while choosing available arsenal.

About the 1.13 being the base for content mods there is something bugging me. Both item mods and map mods are made exclusive for base 1.13. This means you either get to play with boring maps or boring items. What i'm saying is, currently base 1.13 is more than a feature showcase because modders force us to use some of its base features (excluding AIM and UC113)

I wouldn't mind if 1.13 gets an overhaul every now and then to make base mod more appealing.
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327849] Sun, 10 November 2013 12:45 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
That's only because random items have yet to be widely used. Implementing them on the vanilla maps ought to be just as effective as forcing one or the other style of mod as the baseline.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327856] Sun, 10 November 2013 15:03 Go to previous messageGo to next message
Kriplo

 
Messages:261
Registered:February 2008
Location: Zagreb - Croatia
@DepressivesBrot

Maybe I pick wrong frequency but as part of SMP team always think that one of v1.13 ideas was create platform for modding which will also include huge base of items and tilesets to get you best start.
Why the hack game allocate so much memory for nothing, we had MAXITEMS to 16000 and current usage is about 10%, also attachments arrays ratio is about 5000/30000.

If someone think that is to much then go and tweak through XMLs and create your own preferences, why we externalized every crap if majority will stick with defaults and mumbling of too much items Wink

Then why AIMNAS use Smeagol's tilesets and items, WF too, UC and Metavira go his own way, actually seems nobody use v1.13 for modding or quit in early stage :crazy:
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #327901] Mon, 11 November 2013 00:24 Go to previous messageGo to next message
Smigoz

 
Messages:19
Registered:March 2012
Not sure what i'm doing wrong but trying to play Wildfire with AFS i only get Wildfire. The items and changes to NCTH don't seem to work. What am i doing wrong? I copy pasted the downloaded stuff into the folder, what am i supposed to do now?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330217] Fri, 31 January 2014 11:40 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
Itoka
Enemies do not shoot at the empty car. They gather around of it and do not look for me.

I was able to reproduce the issue. Fixed in revision 6862. AI should not add empty player vehicles to their list of opponents anymore and therefore look for real threats instead.

I also tested what happens when a merc enters the car. Lots of bullet holes in my jeep now... Very Happy

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330599] Fri, 14 February 2014 23:14 Go to previous messageGo to next message
Mitlv

 
Messages:8
Registered:December 2005
Location: Amsterdam, the Netherland...
Hi guys

Super excited to be playing 1.13 again after so many years. I installed the map mod I got via SVN over the latest unstable SCI, but I'm getting a whole slew of error messages to do with the .ini right before the main menu. In red, too. The game seems to work fine though, however I'm a little anxious the be playing with so many bugs. Something I'm doing wrong? Thanks in advance
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330600] Fri, 14 February 2014 23:18 Go to previous messageGo to next message
Flugente

 
Messages:3334
Registered:April 2009
Location: Germany
I'm not familiar with the WF files, but If you installed WF over the newest unstable SCI, you might have overwritten a new ini with an older one. The red printouts at the beginning warn you that some values could not be found in the ini (likely because it is older than the exe) and thus default values will be used. That is perfectly okay to play with.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330602] Sat, 15 February 2014 00:21 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
Which settings did the game complain about? WF map 6.07 has only one Ini that sets game options (besides Ja2.ini) and that is Mod_Settings.ini which holds map specific data and this is up-to-date.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330604] Sat, 15 February 2014 02:39 Go to previous messageGo to next message
Mitlv

 
Messages:8
Registered:December 2005
Location: Amsterdam, the Netherland...
Thank you both for the fast responses. If only I could say the same! I'm fairly certain the game was complaining about settings in the ja2.ini, which I also copied from the SVN directory.

[Updated on: Sat, 15 February 2014 02:57] by Moderator

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #330611] Sat, 15 February 2014 14:05 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
I just tested it. The game complains about missing settings in "Ja2_Settings.INI" which usually resides in the corresponding profiles folder. There is no such file in "Profiles\UserProfile_JA2113WF607" folder. However, it should be created the first time you change your game options in the game.

I just copied the ini files from the "Profiles\UserProfile_JA2113" folder to the WF profile folders so players have something to start with (Ja2_mp.ini, Ja2_Settings.INI and Ja2_sp.ini).

This change is active from WF maps revision 6929.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #334662] Sun, 27 July 2014 18:40 Go to previous messageGo to next message
buuface

 
Messages:101
Registered:October 2011
In the readme is the following lines:

Compatibility:

If you want to use this map mod with "Arulco Folding Stock" mod or "1.13 Stock Data Overhaul" you will need to use the correct "Ja2Set.dat.xml".
I prepared example files "Ja2Set.dat.xml.AFS" and "Ja2Set.dat.xml.Overhaul" which you can use. Just rename the corresponding one to "Ja2Set.dat.xml".

If I want to use the WF MAPS mod with AFS mod which should I install first and which INI files should I select in the INI editor before launching the game?

Thanks in advance
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336621] Sun, 12 October 2014 20:32 Go to previous messageGo to next message
TWJunky

 
Messages:82
Registered:November 2012
Location: Austria
I am having trouble with the last fist fight in san mona. after defeating the last opponent i get a clock cursor that does not go away. I had this bug already in the standalone version of wildfire years ago. now i am using 1.13, 6.07 wildfire and SDO. I cant believe I am still getting that bug. Can anybody help me please. this must have happened to other people.

[Updated on: Sun, 12 October 2014 20:52] by Moderator

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336622] Sun, 12 October 2014 20:51 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
This is reported from time to time but couldn't be fixed so far.

When I do boxing fights I always have my squad commander right next to Darren so he can hand over the cash. Another merc is doing the fighting. I always fight in the lower right corner of the ring. Maybe this helps.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336624] Sun, 12 October 2014 23:31 Go to previous messageGo to next message
TWJunky

 
Messages:82
Registered:November 2012
Location: Austria
there is something seriously wrong. when i reload and enter the club again there are only two instead of the 3 fighters. when i knock the second fighter out same endless clock of death....there is gotta be a solution to this problem. is it maybe because i am fighting with brass knuckles?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336631] Mon, 13 October 2014 11:18 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
Brass knuckles should get you disqualified if I remember correctly.

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336633] Mon, 13 October 2014 14:11 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
I think they are/used to be OK, but who knows with the buggiest quest in the entire game :whoknows:


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336634] Mon, 13 October 2014 14:16 Go to previous messageGo to next message
TWJunky

 
Messages:82
Registered:November 2012
Location: Austria
so what should i do? I loaded a previous save. when i wasn't in san mona yet, traveled to san mona did the fist figting. same bug. this has happend in the past over and over again. i really want to play this game but this bug is killing it for me.did the fighting in the lower right hand corner and let my main guy hand over the cash.

[Updated on: Mon, 13 October 2014 14:17] by Moderator

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336635] Mon, 13 October 2014 14:30 Go to previous messageGo to next message
DepressivesBrot

 
Messages:3804
Registered:July 2009
Honestly, give yourself 15k more starting cash and ignore the quest every guide back in the day told you to use for farming money. It's not worth getting hung up on something that represents less than 1% of the game.


Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336636] Mon, 13 October 2014 14:56 Go to previous messageGo to next message
TWJunky

 
Messages:82
Registered:November 2012
Location: Austria
ok i understand..., so i have to start over again to give myself some cash? also isnt that kingping holy grail quest also related to this one? if i dont finsh the fighting quest i dont get the holy grail quest, right?
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336637] Mon, 13 October 2014 15:00 Go to previous messageGo to next message
TWJunky

 
Messages:82
Registered:November 2012
Location: Austria
ok nevermind, i just use the GABBI cheat Sad. i hate doing this, because it takes away from the immersion but what can i do. thanks anyway..

[Updated on: Mon, 13 October 2014 15:01] by Moderator

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336641] Mon, 13 October 2014 20:45 Go to previous messageGo to next message
silversurfer

 
Messages:2292
Registered:May 2009
Yes, the grail quest is tied to winning the first three fights. You can also bring the grail back to Chizena. The people of Arulco will love you for it. They won't pay you but you came here for the fame not the money, right? Wink

Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336802] Sun, 19 October 2014 00:25 Go to previous messageGo to next message
Toma777

 
Messages:57
Registered:October 2013
Location: serbia
On latest Wildfire 6.07 SVN in TableData/Map/FacilityTypes.xml in:

4
Small Airport
Airport
4

missing 1 to enable use of flugentes PMC feature.
Re: install and run wildfire 6.07 mod (1.13) with latest JA2 1.13 mod?[message #336812] Sun, 19 October 2014 11:38 Go to previous messageGo to previous message
silversurfer

 
Messages:2292
Registered:May 2009
Thanks for the hint. I updated SVN with the PMC data and also some other assignments that were not part of the file.

Previous Topic: Alma mine..
Next Topic: Enemies in scouted sections
Goto Forum:
  


Current Time: Mon Jun 18 16:04:52 EEST 2018

Total time taken to generate the page: 0.01804 seconds